LibreOffice LibreOffice 5.3 SDK API Reference

Public Attributes | List of all members
Decimal Struct Reference

is the UNO representation of the Automation type `DECIMAL`. More...

`import"Decimal.idl";`

## Public Attributes
byte | Scale
| corresponds to `DECIMAL.scale`. More...
byte | Sign
| corresponds to `DECIMAL.sign`. More...
unsigned long | LowValue
| corresponds to `DECIMAL.Lo32`. More...
unsigned long | MiddleValue
| corresponds to `DECIMAL.Mid32`. More...
unsigned long | HighValue
| corresponds to `DECIMAL.Hi32`. More...

## Detailed Description

is the UNO representation of the Automation type `DECIMAL`.

Since
  OOo 1.1.2

## Member Data Documentation

## ◆ HighValue

unsigned long HighValue

corresponds to `DECIMAL.Hi32`.

## ◆ LowValue

unsigned long LowValue

corresponds to `DECIMAL.Lo32`.

## ◆ MiddleValue

unsigned long MiddleValue

corresponds to `DECIMAL.Mid32`.

## ◆ Scale

byte Scale

corresponds to `DECIMAL.scale`.

## ◆ Sign

byte Sign

corresponds to `DECIMAL.sign`.

The documentation for this struct was generated from the following file:

- com/sun/star/bridge/oleautomation/Decimal.idl